#ifndef ICL8_LDEF_H_
#define ICL8_LDEF_H_

/*
	IconListData structure.
	Each cell should (at the minimum) contain this data.
*/

typedef struct {
	short selType;		// Method of selecting a cell
	short frameWidth;	// Width of frame?
						// (Used only if kSelectByFramingBW & kSelectbyFramingHilite set)

	short id;			// Rsrc id of icon for this cell (icl8)

	short iconSize;		// kIcon32Size => Use icl8
						// kIcon16Size => Use ics8
						// kIconBasedOnCellSize => icl8 or ics8 depending on cell rect

	short drawName;		// Draw icl8's resource name (1=true, 0=false)
} IconListData, *IconListDataPtr, **IconListDataHdl;

// ---------------------------------------------------------------------------

enum {
	// selType constants
	kSelectByInvertBW,			// Invert area black and white (icon is inverted)
	kSelectByInvertHilite,		// Invert area using hilite color (icon not inverted)

	kSelectByFramingBW,			// BW frame
	kSelectbyFramingHilite,		// Frame using hilite color
	kSelectByFramingSpecial,	// Use a custom drawing method implemented by the LDEF
	
	kSelectByDarkenIcon,		// Similar to when an icon is selected in the Finder



	// iconSize constants
	kIcon32Size = 32,
	kIcon16Size = 16,
	kIconBasedOnCellSize = 1000
};

#endif // ICL8_LDEF_H_